package jnet.lib.object;

import java.io.Serializable;
import org.snmp4j.mp.SnmpConstants;


public class SnmpProfile implements Serializable {
    
    private int id;
    private String name;
    private int version;
    private String port;
    private String communityRead;
    private String communityWrite;
    
    private static final int version1 = SnmpConstants.version1;
    private static final int version2c = SnmpConstants.version2c;
    private static final int version3 = SnmpConstants.version3;
    

    public SnmpProfile(int id, String name, int version, String port, String communityRead, String communityWrite) {
        this.id = id;
        this.name = name;
        this.version = version;
        this.port = port;
        this.communityRead = communityRead;
        this.communityWrite = communityWrite;
    }

    public SnmpProfile() {
    }
    
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getVersion() {
        return version;
    }

    public void setVersion(int version) {
        this.version = version;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public String getCommunityRead() {
        return communityRead;
    }

    public void setCommunityRead(String communityRead) {
        this.communityRead = communityRead;
    }

    public String getCommunityWrite() {
        return communityWrite;
    }

    public void setCommunityWrite(String communityWrite) {
        this.communityWrite = communityWrite;
    }

    
    

}
